Page MenuHomePhabricator

Icons do not support fallback languages
Closed, ResolvedPublic

Event Timeline

Fomafix created this task.Jan 20 2015, 6:37 PM
Fomafix claimed this task.
Fomafix raised the priority of this task from to Normal.
Fomafix updated the task description. (Show Details)
Fomafix added a project: WikiEditor.
Fomafix added a subscriber: Fomafix.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 20 2015, 6:37 PM
gerritbot added a subscriber: gerritbot.

Change 186006 had a related patch set uploaded (by Gerrit Patch Uploader):
Support fallback languages for icons

https://gerrit.wikimedia.org/r/186006

Patch-For-Review

Nemo_bis set Security to None.
Nemo_bis awarded a token.
Nemo_bis added a subscriber: Nemo_bis.
GOIII added a subscriber: GOIII.Jan 20 2015, 11:01 PM

To actually test this for all possible scenarios, don't we have to "rem" the offset coordinate calls in jquery.wikiEditor.toolbar.config.js made to the spirited .png in order for the [allegedly] "true" fallback -- direct calls to individual .png files that use img tags to "build" buttons instead -- to kick in here first?

Otherwise how are we sure the behavior is not being caused by specific code related to just the offset-coordinate scheme or a problem with the spirited .png image itself?

OR

Approach testing from the other way and add de-formal to the existing list of offset coordinates & individual .png target files for the bold and italic buttons in jquery.wikiEditor.toolbar.config.js to matching the existing entry for de to see if it still fails.

OR

Maybe I'm just completely confused from the top since there are no ...

  • format-bold-rtl.png
  • format-italic-rtl.png

... individual image files to begin with in the images directory -- nor the typical entry for such...

. . .
	'offset': {
		'default': [2, -574],
		'default-rtl': [???, ????],    <-----
		. . .
		},
	'icon': {
		'default': 'format-bold.png',
		'default-rtl': 'format-bold-rtl.png'      <----
		. . .
		},
. . .

... files or offset coordinates found in the current listing for Bold & Italic buttons within jquery.wikiEditor.toolbar.config.js as well.

It dawns on me now that lacking this last point (see how bulleted and ordered lists are defined in the same .js for a reference) behind the broken fallback behavior -- an rtl default for those buttons are simply not there.

Change 186006 merged by jenkins-bot:
Support fallback languages for icons

https://gerrit.wikimedia.org/r/186006

Fomafix closed this task as Resolved.Jun 24 2015, 4:40 AM
GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:52 AM